## statsprocessor 0.11

=== src/Makefile ===
##
##  Makefile for sp
##

CFLAGS = -W -Wall -std=c99 -O2 -s
#CFLAGS = -W -Wall -std=c99 -g

#CC_LINUX32        = /opt/hashcat-toolchain/linux32/bin/i686-hashcat-linux-gnu-gcc
#CC_LINUX64        = /opt/hashcat-toolchain/linux64/bin/x86_64-hashcat-linux-gnu-gcc
CC_LINUX32        = gcc
CC_LINUX64        = gcc
CC_WINDOWS32      = /usr/bin/i686-w64-mingw32-gcc
CC_WINDOWS64      = /usr/bin/x86_64-w64-mingw32-gcc
CC_OSX32          = /usr/bin/i686-apple-darwin10-gcc
CC_OSX64          = /usr/bin/i686-apple-darwin10-gcc

CFLAGS_LINUX32    = $(CFLAGS) -m32 -DLINUX
CFLAGS_LINUX64    = $(CFLAGS) -m64 -DLINUX
CFLAGS_WINDOWS32  = $(CFLAGS) -m32 -DWINDOWS
CFLAGS_WINDOWS64  = $(CFLAGS) -m64 -DWINDOWS
CFLAGS_OSX32      = $(CFLAGS) -m32 -DOSX
CFLAGS_OSX64      = $(CFLAGS) -m64 -DOSX

all: sp64.bin

sp32: sp32.bin sp32.exe sp32.app
sp64: sp64.bin sp64.exe sp64.app

clean:
	rm -f sp32.bin sp64.bin sp32.exe sp64.exe sp32.app sp64.app

sp32.bin: sp.c
	$(CC_LINUX32)   $(CFLAGS_LINUX32)   -o $@ $^

sp64.bin: sp.c
	$(CC_LINUX64)   $(CFLAGS_LINUX64)   -o $@ $^

sp32.exe: sp.c
	$(CC_WINDOWS32) $(CFLAGS_WINDOWS32) -o $@ $^

sp64.exe: sp.c
	$(CC_WINDOWS64) $(CFLAGS_WINDOWS64) -o $@ $^

sp32.app: sp.c
	$(CC_OSX32)     $(CFLAGS_OSX32)     -o $@ $^

sp64.app: sp.c
	$(CC_OSX64)     $(CFLAGS_OSX64)     -o $@ $^

=== debian/changelog ===
statsprocessor (0.11-3) unstable; urgency=medium

  * Migrate package to pkg-security team.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 03 Sep 2016 20:00:10 +0000

statsprocessor (0.11-2) unstable; urgency=medium

  * fix wording of man page

 -- Sascha Steinbiss <satta@debian.org>  Tue, 16 Aug 2016 18:25:36 +0000

statsprocessor (0.11-1) unstable; urgency=low

  * Initial packaging (Closes: #834435)

 -- Sascha Steinbiss <satta@debian.org>  Tue, 16 Aug 2016 05:35:40 +0000

=== debian/control ===
Source: statsprocessor
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               help2man
Standards-Version: 3.9.8
Testsuite: autopkgtest
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/statsprocessor.git
Vcs-Git: https://anonscm.debian.org/git/pkg-security/statsprocessor.git
Homepage: https://github.com/hashcat/statsprocessor

Package: statsprocessor
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: word generator based on per-position Markov chains
 Statsprocessor is a word generator based on per-position Markov chains
 packed into a single stand-alone binary. It generates candidate words based
 on a Hashcat format .hcstat file by using this information to determine which
 letter is following which letter based on the analysis of the original input
 dictionary used to generate the .hcstat. The resulting words can then, for
 example, be postprocessed and fed into Hashcat or other password recovery
 tools.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f sp64.1

override_dh_auto_build:
	$(MAKE) -C src
	help2man -i debian/extra-man-info.txt \
	  -n 'word generator based on per-position Markov chains' \
	   -N ./src/sp64 > sp64.1

## statsprocessor 0.11%2Bgit20160316

=== debian/watch ===
version=4
https://github.com/hashcat/statsprocessor/tags .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## statsprocessor 0.11+git20160316

=== Makefile ===
##
##  Makefile for sp
##

CFLAGS = -W -Wall -std=c99 -O2 -s
#CFLAGS = -W -Wall -std=c99 -g

CC_LINUX32        = gcc
CC_LINUX64        = gcc
CC_WINDOWS32      = /usr/bin/i686-w64-mingw32-gcc
CC_WINDOWS64      = /usr/bin/x86_64-w64-mingw32-gcc
CC_OSX32          = /usr/bin/i686-apple-darwin10-gcc
CC_OSX64          = /usr/bin/i686-apple-darwin10-gcc

CFLAGS_LINUX32    = $(CFLAGS) -m32 -DLINUX
CFLAGS_LINUX64    = $(CFLAGS) -m64 -DLINUX
CFLAGS_WINDOWS32  = $(CFLAGS) -m32 -DWINDOWS
CFLAGS_WINDOWS64  = $(CFLAGS) -m64 -DWINDOWS
CFLAGS_OSX32      = $(CFLAGS) -m32 -DOSX
CFLAGS_OSX64      = $(CFLAGS) -m64 -DOSX

all: sp64.bin

sp32: sp32.bin sp32.exe sp32.app
sp64: sp64.bin sp64.exe sp64.app

clean:
	rm -f sp32.bin sp64.bin sp32.exe sp64.exe sp32.app sp64.app

sp32.bin: sp.c
	$(CC_LINUX32)   $(CFLAGS_LINUX32)   -o $@ $^

sp64.bin: sp.c
	$(CC_LINUX64)   $(CFLAGS_LINUX64)   -o $@ $^

sp32.exe: sp.c
	$(CC_WINDOWS32) $(CFLAGS_WINDOWS32) -o $@ $^

sp64.exe: sp.c
	$(CC_WINDOWS64) $(CFLAGS_WINDOWS64) -o $@ $^

sp32.app: sp.c
	$(CC_OSX32)     $(CFLAGS_OSX32)     -o $@ $^

sp64.app: sp.c
	$(CC_OSX64)     $(CFLAGS_OSX64)     -o $@ $^

=== debian/changelog ===
statsprocessor (0.11+git20160316-2) unstable; urgency=medium

  * Build twice to fix cross building from source.
    Thanks to Helmut Grohne for the patch.
    Closes: #930090

 -- Sascha Steinbiss <satta@debian.org>  Mon, 08 Jul 2019 17:52:53 +0200

statsprocessor (0.11+git20160316-1) unstable; urgency=medium

  * Team upload.
  [ Raphaël Hertzog ]
  * d/control:
    - Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
    - Update team maintainer address to Debian Security Tools

  [ SZ Lin (林上智) ]
  * Import new upstream release
  * Remove useless debian/source.lintian-overrides
  * Add upstream metadata file
  * Tweak the patch to avoid error while applying a patch
    - Thanks to Sascha Steinbiss <satta@debian.org>
  * d/control:
    - Bump debhelper version to 11
    - Bump Standards-Version to 4.2.1
    - Remove "Testsuite:" item since it is enabled by default now
  * d/copyright:
    - Use license of "Expat" instead "MIT"
   d/compat:
    - Bump compat version to 11

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 03 Sep 2018 11:44:58 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: statsprocessor
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                help2man
-Standards-Version: 3.9.8
-Testsuite: autopkgtest
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/statsprocessor.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-security/statsprocessor.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/statsprocessor
+Vcs-Git: https://salsa.debian.org/pkg-security-team/statsprocessor.git
 Homepage: https://github.com/hashcat/statsprocessor
 
 Package: statsprocessor
@@ -23,4 +22,3 @@
  dictionary used to generate the .hcstat. The resulting words can then, for
  example, be postprocessed and fed into Hashcat or other password recovery
  tools.
-

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f sp64.1

override_dh_auto_build:
	dpkg-architecture -f -a$(DEB_BUILD_ARCH) -c dh_auto_build --sourcedirectory=src
	help2man -i debian/extra-man-info.txt \
	  -n 'word generator based on per-position Markov chains' \
	   -N ./src/sp64 > sp64.1
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	rm -f src/sp64
	dh_auto_build --sourcedirectory=src
endif

=== debian/watch ===
version=3
https://github.com/hashcat/statsprocessor/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
